org.modeshape.sequencer.teiid.lexicon

## Class ModelExtensionDefinitionLexicon.Utils

- java.lang.Object
- - org.modeshape.sequencer.teiid.lexicon.ModelExtensionDefinitionLexicon.Utils

- Enclosing interface:
    ModelExtensionDefinitionLexicon

      public static class ModelExtensionDefinitionLexicon.Utils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelExtensionDefinitionLexicon.Utils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `constructJcrName(String key)`
    `static boolean` | `isModelMedMetaclassTagKey(String key)`
    `static boolean` | `isModelMedModelTypesTagKey(String key)`
    `static boolean` | `isModelMedPropertyDefinitionDescriptionTagKey(String key)`
    `static boolean` | `isModelMedPropertyDefinitionDisplayNameTagKey(String key)`
    `static boolean` | `isModelMedPropertyDefinitionTagKey(String key)`
    `static boolean` | `isModelMedTagKey(String key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelExtensionDefinitionLexicon.Utils

          public ModelExtensionDefinitionLexicon.Utils()

  - ### Method Detail

    - #### constructJcrName

          public static String constructJcrName(String key)

      Parameters:
        `key` - the MED key whose JCR name is being constructed (cannot be `null` or empty)
      Returns:
        the MED JCR name (never `null` or empty

    - #### isModelMedMetaclassTagKey

          public static boolean isModelMedMetaclassTagKey(String key)

      Parameters:
        `key` - the key being checked (cannot be `null` or empty)
      Returns:
        `true` if the key is a model annotation tag key for a MED extended metaclass

    - #### isModelMedModelTypesTagKey

          public static boolean isModelMedModelTypesTagKey(String key)

      Parameters:
        `key` - the key being checked (cannot be `null` or empty)
      Returns:
        `true` if the key is a model annotation tag key for the MED model types

    - #### isModelMedPropertyDefinitionDescriptionTagKey

          public static boolean isModelMedPropertyDefinitionDescriptionTagKey(String key)

      Parameters:
        `key` - the key being checked (cannot be `null` or empty)
      Returns:
        `true` if the key is a model annotation tag key for a MED property definition's descriptions

    - #### isModelMedPropertyDefinitionDisplayNameTagKey

          public static boolean isModelMedPropertyDefinitionDisplayNameTagKey(String key)

      Parameters:
        `key` - the key being checked (cannot be `null` or empty)
      Returns:
        `true` if the key is a model annotation tag key for a MED property definition's display names

    - #### isModelMedPropertyDefinitionTagKey

          public static boolean isModelMedPropertyDefinitionTagKey(String key)

      Parameters:
        `key` - the key being checked (cannot be `null` or empty)
      Returns:
        `true` if the key is a model annotation tag key for a MED property definition

    - #### isModelMedTagKey

          public static boolean isModelMedTagKey(String key)

      Parameters:
        `key` - the key being checked (cannot be `null` or empty)
      Returns:
        `true` if the key is an model annotation tag key for the start of a MED

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.